i.MX53-QSB-Android-Gingerbread make android filesystem error

cancel
Showing results for 
Search instead for 
Did you mean: 

i.MX53-QSB-Android-Gingerbread make android filesystem error

441 Views
WeiWeiBo
Contributor II

Hi All:

When I make the I.mx53-QSB android filesystem, show the error massage as below attached file after I use the command

" $ ./build_android.sh --board=imx53_qsb --build-choice=android --lunchtype=eng "


how can I use something patch or method to solve this problem?

thxs

-------------------------------------------------------------------------------------------------------------------

target Non-prelinked: libsqlite_jni (out/target/product/imx53_loco/symbols/system/lib/libsqlite_jni.so)

Install: out/target/product/imx53_loco/system/lib/libsqlite_jni.so

Install: out/target/product/imx53_loco/system/lib/libsrec_jni.so

target Prebuilt: libstagefrighthw (out/target/product/imx53_loco/obj/lib/libstagefrighthw.so)

true

Install: out/target/product/imx53_loco/system/lib/libterm.so

Install: out/target/product/imx53_loco/system/lib/libthread_db.so

Install: out/target/product/imx53_loco/system/lib/libttspico.so

Install: out/target/product/imx53_loco/system/lib/libttssynthproxy.so

target SharedLib: libwebcore (out/target/product/imx53_loco/obj/SHARED_LIBRARIES/libwebcore_intermediates/LINKED/libwebcore.so)

collect2: ld terminated with signal 7 [Bus error]

make: *** [out/target/product/imx53_loco/obj/SHARED_LIBRARIES/libwebcore_intermediates/LINKED/libwebcore.so] Error 1

/home/victor/i.MX53-QSB-Android-Gingerbread-Release4.2

mkimage: Can't open ./ramdisk.img: No such file or directory

Labels (2)
0 Kudos
2 Replies

51 Views
charleschang
Contributor III

collect2: ld terminated with signal 7 [Bus error]


The memory (swap) of your building machine is not enough ?

0 Kudos

51 Views
weidong_sun
NXP TechSupport
NXP TechSupport

Hi,Lan,

    It seems that you should install some neccesary packages, please check them :

(1)installing package in ubuntu host

#sudo apt-get install git-core

#sudo apt-get install gnupg

#sudo apt-get install flex

#sudo apt-get install bison

#sudo apt-get install gperf

#sudo apt-get install libsdl-dev

#sudo apt-get install libesd0-dev

#sudo apt-get install libwxgtk2.6-dev

#sudo apt-get install build-essential

#sudo apt-get install zip

#sudo apt-get install curl

#sudo apt-get install libncurses5-dev

#sudo apt-get install zlib1g-dev

#sudo apt-get install python2.5

(2)Installing java6-jdk

There is a PPA (Personal Package Archives) made available by Roberto Ferramosca.  (https://launchpad.net/~ferramroberto/+archive/java)

To add this PPA  (as root) and install the JDK, run the following:

$ sudo apt-get install python-software-properties

$ sudo bash

# add-apt-repository ppa:ferramroberto/java

# apt-get update

# apt-get install sun-java6-jdk sun-java6-plugin

# exit

Regards,

Weidong

0 Kudos